Bug 1095070 - (CVE-2018-11531) VUL-1: CVE-2018-11531: exiv2: heap-based buffer overflow in getData in preview.cpp
(CVE-2018-11531)
VUL-1: CVE-2018-11531: exiv2: heap-based buffer overflow in getData in previe...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/206639/
CVSSv3:SUSE:CVE-2018-11531:5.3:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-29 15:26 UTC by Alexander Bergmann
Modified: 2022-11-29 17:40 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-05-29 15:26:47 UTC
CVE-2018-11531

Exiv2 0.26 has a heap-based buffer overflow in getData in preview.cpp.

Upstream bug:
https://github.com/Exiv2/exiv2/issues/283

Upstream fix:
https://github.com/Exiv2/exiv2/pull/327

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-11531
Comment 2 Swamp Workflow Management 2018-11-23 20:17:19 UTC
SUSE-SU-2018:3882-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1050257,1051188,1060995,1060996,1061000,1072928,1092952,1093095,1095070
CVE References: CVE-2017-11591,CVE-2017-11683,CVE-2017-14859,CVE-2017-14862,CVE-2017-14864,CVE-2017-17669,CVE-2018-10958,CVE-2018-10998,CVE-2018-11531
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    exiv2-0.23-12.5.1
SUSE Linux Enterprise Server 12-SP3 (src):    exiv2-0.23-12.5.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    exiv2-0.23-12.5.1
Comment 3 Swamp Workflow Management 2018-12-12 20:14:00 UTC
SUSE-SU-2018:3882-2: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1050257,1051188,1060995,1060996,1061000,1072928,1092952,1093095,1095070
CVE References: CVE-2017-11591,CVE-2017-11683,CVE-2017-14859,CVE-2017-14862,CVE-2017-14864,CVE-2017-17669,CVE-2018-10958,CVE-2018-10998,CVE-2018-11531
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    exiv2-0.23-12.5.1
SUSE Linux Enterprise Server 12-SP4 (src):    exiv2-0.23-12.5.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    exiv2-0.23-12.5.1
Comment 4 Dirk Mueller 2022-11-14 16:21:42 UTC
this has been fixed for SLE15 with:

-------------------------------------------------------------------
Wed May 30 11:36:20 UTC 2018 - dmueller@suse.com
...
  * adds exiv2-update-to-0.26-branch.patch

newer versions are not affected, older are already fixed.
Comment 6 Swamp Workflow Management 2022-11-23 20:26:41 UTC
SUSE-SU-2022:4208-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1050257,1095070,1110282,1119559,1119560,1119562,1142677,1142678,1153577,1186231,1189337
CVE References: CVE-2017-11591,CVE-2018-11531,CVE-2018-17581,CVE-2018-20097,CVE-2018-20098,CVE-2018-20099,CVE-2019-13109,CVE-2019-13110,CVE-2019-17402,CVE-2021-29473,CVE-2021-32815
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    exiv2-0_26-0.26-150400.9.21.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    exiv2-0_26-0.26-150400.9.21.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-11-29 17:40:50 UTC
SUSE-SU-2022:4276-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1050257,1095070,1110282,1119559,1119560,1119562,1142677,1142678,1153577,1186231,1189337
CVE References: CVE-2017-11591,CVE-2018-11531,CVE-2018-17581,CVE-2018-20097,CVE-2018-20098,CVE-2018-20099,CVE-2019-13109,CVE-2019-13110,CVE-2019-17402,CVE-2021-29473,CVE-2021-32815
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Server 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Retail Branch Server 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Proxy 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Enterprise Storage 7 (src):    exiv2-0.26-150000.6.26.1
SUSE Enterprise Storage 6 (src):    exiv2-0.26-150000.6.26.1
SUSE CaaS Platform 4.0 (src):    exiv2-0.26-150000.6.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.